Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface StableIDEvent

All Superinterfaces:
  Persistent, java.io.Serializable

public interface StableIDEvent
extends Persistent

Field Summary
`static java.lang.String` | `GENE`
`static java.lang.String` | `TRANSCRIPT`
`static java.lang.String` | `TRANSLATION`

Method Summary
`boolean` | `addRelated(java.lang.String relatedStableID, int version)` If relatedStableID is "null" then it is not added but deleted is set to true.
`java.util.Set` | `getRelatedStableIDs()`
`int[]` | `getRelatedVersions(java.lang.String relatedStableID)` Items can relate to not just several other items but also to several versions of those items.
`MappingSession` | `getSession()`
`java.lang.String` | `getStableID()`
`int` | `getStableIDVersion()`
`java.lang.String` | `getType()` Type of event; gene, transcript or translaton.
`boolean` | `isCreated()`
`boolean` | `isDeleted()`
`boolean` | `isMerged()`
`boolean` | `isSplit()`
`boolean` | `removeRelated(java.lang.String relatedStableID)`
`void` | `setCreated(boolean created)`
`void` | `setDeleted(boolean deleted)`
`void` | `setSession(MappingSession session)`
`void` | `setStableID(java.lang.String stableID)`
`void` | `setStableIDVersion(int version)`
`void` | `setType(java.lang.String type)` Type of event; gene, transcript or translaton.

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Field Detail

### GENE

    public static final java.lang.String GENE

See Also:
  Constant Field Values

### TRANSCRIPT

    public static final java.lang.String TRANSCRIPT

See Also:
  Constant Field Values

### TRANSLATION

    public static final java.lang.String TRANSLATION

See Also:
  Constant Field Values

Method Detail

### setSession

    public void setSession(MappingSession session)

### getStableID

    public java.lang.String getStableID()

### addRelated

    public boolean addRelated(java.lang.String relatedStableID,
                              int version)

  If relatedStableID is "null" then it is not added but deleted is set to true.

  Parameters:
    `relatedStableID` - stableID of the related item
    `version` - version of the related item
  Returns:
    whether relatedStableID was added.

### getRelatedVersions

    public int[] getRelatedVersions(java.lang.String relatedStableID)

  Items can relate to not just several other items but also to several versions of those items. This method provides access to these versions. 1*stableID -> N*relatedStableID -> M*version.

  Parameters:
    `relatedStableID` -
  Returns:
    array of ints corresponding to the versions of the item the relatedStableID refers to.

### removeRelated

    public boolean removeRelated(java.lang.String relatedStableID)

  Returns:
    whether relatedStableID was removed.

### getRelatedStableIDs

    public java.util.Set getRelatedStableIDs()

### setStableID

    public void setStableID(java.lang.String stableID)

### setStableIDVersion

    public void setStableIDVersion(int version)

### getStableIDVersion

    public int getStableIDVersion()

### getSession

    public MappingSession getSession()

### isSplit

    public boolean isSplit()

### isMerged

    public boolean isMerged()

### isCreated

    public boolean isCreated()

### isDeleted

    public boolean isDeleted()

### setDeleted

    public void setDeleted(boolean deleted)

### setCreated

    public void setCreated(boolean created)

### getType

    public java.lang.String getType()

  Type of event; gene, transcript or translaton.

  Returns:
    type which is one of StableIDEvent.GENE, StableIDEvent.TRANSCRIPT or StableIDEvent.TRANSLATION/

### setType

    public void setType(java.lang.String type)

  Type of event; gene, transcript or translaton.

  Parameters:
    `type` - should be one of StableIDEvent.GENE, StableIDEvent.TRANSCRIPT or StableIDEvent.TRANSLATION/

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD